## org.jCharts.test
Class AreaTestDriver

    java.lang.Object
      org.jCharts.test.AxisChartTestBase
          org.jCharts.test.AreaTestDriver

     class AreaTestDriver

extends AxisChartTestBase

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`AreaTestDriver()`

Method Summary
`(package private) static ChartTypeProperties` `getChartTypeProperties(int numberOfDataSets)` Separate this so can use for combo chart test
`(package private) DataSeries` `getDataSeries()`
`static void` `main(String[] args)`
`(package private) boolean` `supportsImageMap()`

Methods inherited from class org.jCharts.test.AxisChartTestBase
`axisChartTest, createAxisChartDataSet, createDataSeries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaTestDriver

    AreaTestDriver()

Method Detail

### supportsImageMap

    boolean supportsImageMap()

  Specified by:
    `supportsImageMap` in class `AxisChartTestBase`

### getChartTypeProperties

    static ChartTypeProperties getChartTypeProperties(int numberOfDataSets)

  Separate this so can use for combo chart test

### getDataSeries

    DataSeries getDataSeries()
                       throws ChartDataException

  Specified by:
    `getDataSeries` in class `AxisChartTestBase`
  Throws:
    `ChartDataException`

### main

    public static void main(String[] args)
                     throws ChartDataException,
                            PropertyException

  Throws:
    `ChartDataException`
    `PropertyException`